Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSAgentSkill Class Reference

`#import <CSAgentSkill.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithSkillId:
| Constructs an CSAgentSkill object from the specified parameters. More...
(instancetype) | - initWithSkillId:skillLevel:
| Constructs an CSAgentSkill object from the specified parameters. More...

## Properties
NSInteger | skillId
| Skill id that can range from 1 to 8000. More...
NSInteger | skillLevel
| The level number. More...
BOOL | active
| Represents whether this skill is active on current agent or not. More...
BOOL | supervisorAssistanceAvailable
| Represents whether supervisor assistance is available for current agent or not. More...

## Method Documentation

- (instancetype) initWithSkillId: |  | (NSInteger) | skillId |

Constructs an CSAgentSkill object from the specified parameters.

This constructor must be used to create a new skill object before calling AgentService.RemoveSkill method. Skill level will be set to 0.

Parameters

  skillId | The skill number.

- (instancetype) initWithSkillId: |  | (NSInteger) | skillId
skillLevel: |  | (NSInteger) | skillLevel

Constructs an CSAgentSkill object from the specified parameters.

This constructor must be used to create a new skill object before calling the AgentService.AddSkill method.

Parameters

  skillId | The skill number.
  skillLevel | The level number for the skill..

## Property Documentation

- (BOOL) active
| read nonatomic assign

Represents whether this skill is active on current agent or not.

- (NSInteger) skillId
| read nonatomic assign

Skill id that can range from 1 to 8000.

- (NSInteger) skillLevel
| read nonatomic assign

The level number.

The valid range is 0 to 16. The server doesn't provide the level number, so csdk fills it as 0 by default. When the Skill is created by client and will be used for Add/Remove skill request: 1-16 mean that the skill is being added, 0 means that the skill is being removed and doesn't need a skill level input.

- (BOOL) supervisorAssistanceAvailable
| read nonatomic assign

Represents whether supervisor assistance is available for current agent or not.

The documentation for this class was generated from the following file:

- CSAgentSkill.h